# coding=utf-8
"""
 @Author: tanangwy
 @FileName: ueba_cron_file_merge.py
 @DateTime: 2024/7/17 14:19
 @Description:ueba数据合并job,每小时执行一次
"""
from __future__ import unicode_literals
import traceback
from uebaMetricsAnalysis.utils.ext_logging import logger_cron
from uebaMetricsAnalysis.utils.file_merge import entry

class FileMergeCron:
    #每1小时执行一次
    def processing(self):
        try:
            logger_cron.info("FILE_MERGE：开始执行")
            entry()
            logger_cron.info("FILE_MERGE："+"执行完成")
        except Exception ,e:
            err_info=traceback.format_exc()
            logger_cron.error("FILE_MERGE："+"执行失败,"+err_info)
            raise
if __name__ == '__main__':
    FileMergeCron().processing()